"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var vertical_writing_react_exports = {};
__export(vertical_writing_react_exports, {
  default: () => useVirticalWriting_default,
  useVirticalWriting: () => useVirticalWriting_default
});
module.exports = __toCommonJS(vertical_writing_react_exports);

// useVirticalWriting.ts
var import_react = require("react");
var import_vertical_writing = __toESM(require("vertical-writing"));

// util.ts
function canUseDOM() {
  return !!(typeof window !== "undefined" && window.document && window.document.createElement);
}

// useVirticalWriting.ts
var useIsomorphicLayoutEffect = canUseDOM() ? import_react.useLayoutEffect : import_react.useEffect;
var useVirticalWriting = (options = { spacing: "margin" }) => {
  const virticalRef = (0, import_react.useRef)(null);
  useIsomorphicLayoutEffect(() => {
    const vw = (0, import_vertical_writing.default)(virticalRef.current, options);
    vw.activate();
    return () => vw.deActivate();
  }, [virticalRef.current]);
  return [virticalRef];
};
var useVirticalWriting_default = useVirticalWriting;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useVirticalWriting
});
