// useVirticalWriting.ts
import { ref, onMounted, onUnmounted } from "vue";
import VerticalWriting from "vertical-writing";

// util.ts
function canUseDOM() {
  return !!(typeof window !== "undefined" && window.document && window.document.createElement);
}

// useVirticalWriting.ts
var useVirticalWriting = (options = { spacing: "margin" }) => {
  const vwNode = ref();
  const vw = ref();
  onMounted(() => {
    if (!canUseDOM() || !vwNode.value)
      return;
    vw.value = VerticalWriting(vwNode.value, options);
    vw.value.activate();
  });
  onUnmounted(() => {
    if (vw.value)
      vw.value.deActivate();
  });
  return [vwNode, vw];
};
var useVirticalWriting_default = useVirticalWriting;
export {
  useVirticalWriting_default as default,
  useVirticalWriting_default as useVirticalWriting
};
